<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AllowAdminToRevoke Method (IEdmBatchChangeState3)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchChangeState3 Interface : AllowAdminToRevoke Method (IEdmBatchChangeState3)

Visual Basic
C#
C++/CLI

bAllowAdminToRevoke
  True to allow an administrator to revoke state transitions of files, false to not

Sets whether an administrator is allowed to revoke state transitions of files in this batch.

# Syntax

Visual Basic |
--- | ---

    Sub AllowAdminToRevoke( _
       ByVal bAllowAdminToRevoke As System.Boolean _
    )

C# |
--- | ---

    void AllowAdminToRevoke(
       System.bool bAllowAdminToRevoke
    )

C++/CLI |
--- | ---

    void AllowAdminToRevoke(
    &   System.bool bAllowAdminToRevoke
    )

#### Parameters

bAllowAdminToRevoke
  True to allow an administrator to revoke state transitions of files, false to not

# Example

See the IEdmBatchChangeState3 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchChangeState3 Interface
IEdmBatchChangeState3 Members

# Availability

SOLIDWORKS PDM Professional 2013